/*
 * File:   ImageProgressDialog.java
 * Author: Conrad Rider
 * Email:  c.rider@eviltree.co.uk
 * Date:   22-02-05
 */
 
package gui;

import gui.Popup;
import sim.*;
import sim.livestock.*;
import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

/** Class to show user a progress dialog on pasture initialisation.
    Has not been implemented into the system yet */
public class ImageProgressDialog extends JFrame implements java.awt.image.ImageObserver{

	public JProgressBar progress;
	
	public ImageProgressDialog(){
		super();
		
		setTitle("Loading Image...");
		setDefaultCloseOperation(DISPOSE_ON_CLOSE);
		setResizable(false);
		setLocationRelativeTo(null);
		
		Container pane = getContentPane();
		SpringLayout layout = new SpringLayout();
		pane.setLayout(layout);
		
		progress = new JProgressBar();
		pane.add(progress);
		
		layout.putConstraint(SpringLayout.NORTH, progress, 10, SpringLayout.NORTH, pane);
		layout.putConstraint(SpringLayout.WEST,  progress, 10, SpringLayout.WEST, pane);
		layout.putConstraint(SpringLayout.EAST,  pane, 10, SpringLayout.EAST, progress);
		layout.putConstraint(SpringLayout.SOUTH, pane, 10, SpringLayout.SOUTH, progress);
		
		pack();
		setVisible(!main.PastureSim.textOnly);
	}
	
	
	public boolean imageUpdate(Image img, int infoflags, int x, int y, int width, int height){
		progress.setValue(width);
		System.out.println("PROGRESS = "+width);
		repaint();
		return super.imageUpdate(img, infoflags, x, y, width, height);
	}

}
