/*
 * File:   Popup.java
 * Author: Conrad Rider
 * Email:  c.rider@eviltree.co.uk
 * Date:   22-02-05
 */
 
package gui;

import java.awt.Color;
import java.awt.Container;
import java.awt.event.ActionListener;
import java.awt.event.ActionEvent;
import javax.swing.SpringLayout;
import javax.swing.JFrame;
import javax.swing.JLabel;
import javax.swing.JTextField;
import javax.swing.JButton;
import javax.swing.JOptionPane;
import java.io.*;

import javax.swing.*;

/** Generates popups */
public class Popup extends JFrame{// implements ActionListener{

	JLabel msg;

	/** Creates a please wait message popup to be disposed by calling dispose() */
	public Popup(final String message){
		super();
		
		setTitle("Please Wait...");
		
		setDefaultCloseOperation(DO_NOTHING_ON_CLOSE);
		setResizable(true);
		setLocationRelativeTo(null);
		
		Container pane = getContentPane();
		SpringLayout layout = new SpringLayout();
		pane.setLayout(layout);
		
		msg = new JLabel(message); pane.add(msg);
		
		layout.putConstraint(SpringLayout.NORTH, msg,  20, SpringLayout.NORTH, pane);
		layout.putConstraint(SpringLayout.WEST,  msg,  20, SpringLayout.WEST,  pane);
		layout.putConstraint(SpringLayout.EAST,  pane, 20, SpringLayout.EAST,  msg);
		layout.putConstraint(SpringLayout.SOUTH, pane, 20, SpringLayout.SOUTH, msg);
		
		pack();
		setVisible(true);

	
		System.out.println("DONE");
	}
	
		
	public static void inform(String message){
		JOptionPane.showMessageDialog(null, message);}
	
	public static boolean verify(String message){		
		return 0 == JOptionPane.showConfirmDialog(null, message, "Confirm", JOptionPane.YES_NO_OPTION);}
	
	public static void error(String message){
		JOptionPane.showMessageDialog(null, message, "Error", JOptionPane.ERROR_MESSAGE);}

	
	/** Re-sets the popup's label */
	public void setMessage(String message){
		msg.setText(message);
		repaint();
	}

}
