/*
 * File:   GraphContextPanel.java
 * Author: Conrad Rider
 * Email:  c.rider@eviltree.co.uk
 * Date:   22-02-05
 */

 
package gui.context;

import gui.icon.*;
import sim.Simulation;

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.border.*;
import java.io.*;
import java.awt.Color;
import java.awt.Container;
import javax.swing.SpringLayout;
import javax.swing.JFrame;
import javax.swing.JLabel;
import javax.swing.JTextField;
import javax.swing.JButton;

import java.awt.event.ActionListener;
import java.awt.event.ActionEvent;

/** The context panel for graph mode. Not actually implemented yet */
public class GraphContextPanel extends ContextPanel{

	JLabel end;
	JLabel start;
	JTextField startDate;
	JTextField endDate;
	JButton set;

	public GraphContextPanel(Simulation sim){ super(sim); }
	
	public void generate(){

		// The default context button listner
		ButtonListner buttonListner = new ButtonListner();
		
		start = new JLabel("Start Point");  add(start);
		startDate = new JTextField("0", 6); add(startDate);
		set = new JButton("Set Interval");  add(set); set.addActionListener(buttonListner);
		endDate = new JTextField("0", 6);   add(endDate);
		end = new JLabel("End Point");      add(end);

		layout.putConstraint(SpringLayout.NORTH, start,     7, SpringLayout.NORTH, this);
		layout.putConstraint(SpringLayout.NORTH, startDate, 5, SpringLayout.NORTH, this);
		layout.putConstraint(SpringLayout.NORTH, set,       3, SpringLayout.NORTH, this);
		layout.putConstraint(SpringLayout.NORTH, end,       7, SpringLayout.NORTH, this);
		layout.putConstraint(SpringLayout.NORTH, endDate,   5, SpringLayout.NORTH, this);

		layout.putConstraint(SpringLayout.WEST, start,  (int)(getPreferredSize().getWidth()/2-200), SpringLayout.WEST, this);
		layout.putConstraint(SpringLayout.WEST, startDate,  5, SpringLayout.EAST, start);
		layout.putConstraint(SpringLayout.WEST, set,       10, SpringLayout.EAST, startDate);
		layout.putConstraint(SpringLayout.WEST, end,       10, SpringLayout.EAST, set);
		layout.putConstraint(SpringLayout.WEST, endDate,    5, SpringLayout.EAST, end);
	}
	
	public void enableButtons(){ set.setEnabled(true); }
	
	public void disableButtons(){ set.setEnabled(false); }
	
	private class ButtonListner implements ActionListener{
		public void actionPerformed(ActionEvent e) {
			
			if(e.getSource() == set){}
		}
	}
}
