/*
 * File:   StartIcon.java
 * Author: Conrad Rider
 * Email:  c.rider@eviltree.co.uk
 * Date:   22-02-05
 */

package gui.icon;

import java.awt.Color;
import java.awt.Component;
import java.awt.Graphics;
import javax.swing.Icon;


/** Icon representing an arrow to move to the first history item */
public class StartIcon implements Icon{
	public int getIconHeight(){ return 13; }
	public int getIconWidth() { return 13; }
	public void paintIcon(Component c, Graphics g, int x, int y){
		g.setColor(new Color(0,0,130));
		g.fillRect(x, y, 2, 11);
		int[] xPoints = {x, x+11, x+11, x+7, x+11, x+11};
		int[] yPoints = {y+6, y, y+3, y+6, y+8, y+11};
		g.fillPolygon(xPoints, yPoints , 6);
		g.setColor(Color.BLACK);
	}	
}
